<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * HTML Article View class for the Content component
 *
 * @since  1.5
 */
class Os_CCKViewParent_child extends JViewLegacy
{
	protected $item;

	protected $params;

	protected $print;

	protected $state;

	protected $user;

	/**
	 * Execute and display a template script.
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  mixed  A string if successful, otherwise an Error object.
	 */
	public function display($tpl = null)
	{
            global $db;
		$app        = JFactory::getApplication();
                $input      = $app->input;
                $Itemid = $input->get('Itemid', 0, 'INT');

                
                $lid = intval($input->get('lid', 0, 'INT'));
                
                
                if(isset($_GLOBALS['number_of_plugin'])){
                    $number_of_plugin = $_GLOBALS['number_of_plugin'];
                }else{
                    $number_of_plugin = FALSE;
                }
                Instance::showParentChildLayout($input->get('option'), $lid, 0, $number_of_plugin);
        }

}
